/**
 * @author Lee Tae Su 
 * @project builder
 * @version 1.0
 * @since 2018-02-07
 */

/*#wrap											{position:absolute; top:38px; left:0; right:0; bottom:0; overflow:hidden;}*/

#wrap {
    padding: 0;
    margin: 0;
}

#top {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    background-color: #ffffff;
    border-bottom: 3px solid #6930b8;
    line-height: 20px;
    height: 57px;
}

/* left-wrap 이 존재하는 경우
* layout.ftl 내에서 useLeftMenu 가 존재하는 경우 triple-layout 클래스가 추가 됨
*/
#top.triple-layout {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #ffffff;
    border-bottom: 0;
    border-right: 3px solid #6930b8;
    height: 60px;
    width: 221px;
}

#top a:link,
#top a:active,
#top a:visited {
    text-decoration: none;
}

#top a:hover {
    text-decoration: underline;
}

.top-bg {background-repeat: no-repeat; background-position: calc(50% - 172px); background-size: contain;}
.top-bg.prod {background-image: url('../image/header_bg_prod.png')}
.top-bg.edu {background-image: url('../image/header_bg_edu.png')}
.top-bg.drn {background-image: url('../image/header_bg_dryrun.png')}
.top-bg.dev {background-image: url('../image/header_bg_dev.png')}
.top-bg.pre {background-image: url('../image/header_bg_pre.png')}

.top-system-title {
    position: absolute;
    top: 20px;
    left: 32px;
    font-size: 14px;
    height: 20px;
}

.top-system-title > a > img {
    width: 152px;
    height: 16px;
}

/*White Labeling - Perceptive 로고 사이즈로 인한 추가 */
.top-system-title-perceptive {
    position: absolute;
    top: 15px;
    left: 32px;
    font-size: 14px;
    height: 20px;
}

.top-system-title-perceptive > a > img {
    height: 30px;
}
/*Calyx 테스트 용도*/

.top-user-info {
    position: absolute;
    top: 20px;
    right: 40px;
    font-size: 14px;
    color: #363636;
    font-weight: 500;
}

.top-user-info > span {
    display: inline-block;
    margin-right: 26px;
    vertical-align: middle;
}

.top-user-info > span a,
.top-user-info > span a img {
    display: inline-block;
    vertical-align: top;
}

#admin-button {
    cursor: pointer;
}

#user-language {
    color: #7045de;
    font-weight: 500;
}

.top-study-title {
    text-align: center;
    color: #ffe45c;
}

#left-wrap {
    position: absolute;
    top: 60px;
    left: 0;
    bottom: 0;
    width: 221px;
    overflow-y: auto;
    overflow-x: hidden;
    border-right: 3px solid #6930b8;
}

.left-bg {background-repeat: no-repeat; background-position: bottom right; background-size: 100%;}
.left-bg.prod {background-image: url('../image/header_side_bg_prod.png')}
.left-bg.edu {background-image: url('../image/header_side_bg_edu.png')}
.left-bg.drn {background-image: url('../image/header_side_bg_dryrun.png')}
.left-bg.dev {background-image: url('../image/header_side_bg_dev.png')}
.left-bg.pre {background-image: url('../image/header_side_bg_pre.png')}

#left-menu-wrap {
    position: absolute;
    top: 0;
    left: 32px;
    right: 0;
    bottom: 205px;
    background-color: #ffffff;
    text-align: left;
    padding-right: 40px;
    overflow-y: auto;
}

.left-menu ul a:hover li {
}

.left-menu ul li {
    width: 100%;
    font-size: 19px;
    font-weight: bold;
    background-color: #ffffff;
    color: #363636;
    margin-top: 16px;
    padding: 4px 0;
}

.left-menu > ul > a:first-child li {
    margin-top: 48px;
}

.left-menu ul li.menu-on {
    border-bottom: solid 2px #6930b8;
}

.left-menu ul > a > li.menu-on {
    padding-bottom: 8px;
}

.left-menu ul.sub-menu {
}

.left-menu ul.sub-menu a:hover li {

}

.left-menu ul.sub-menu li {
    width: 100%;
    font-size: 17px;
    font-weight: 500;
    color: #555555;
    border-bottom: 0;
    text-align: left;
    margin-top: 10px;
    padding-left: 20px
}

.left-menu ul.sub-menu li.menu-on {
    color: #7045de;
    text-align: left;
    padding-left: 17px;
    font-weight: 500;
    padding-bottom: 4px !important;
}

.left-user-info {
    position: absolute;
    right: 0;
    left: 32px;
    bottom: 40px;
    font-size: 14px;
    color: #0e0e0e;
    font-weight: 500;
    padding-right: 20px;
}

.left-user-info .separator {
    width: 24px;
    border-top: 3px solid #7045de;
    height: 1px;
    margin: 8px 0;
}

.left-user-info .left-user-info-row .sub-id {
    font-size: 13px;
    color: #7045de;
}

.left-user-info .left-user-info-row span:first-child {
    margin-right: 20px;
}

/* #admin-button > a > img 속성 override */
.left-user-info span img {
    vertical-align: middle; !important;
}

.left-user-info .icon-wrap > span {
    margin-right: 8px !important;
}

.left-user-info-row {
    padding: 5px 0;
    font-size: 13px;
    font-weight: 500;
}

#right-wrap {
    position: absolute;
    top: 60px;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ffffff;
}

/* left-wrap 이 존재하는 경우
* layout.ftl 내에서 useLeftMenu 가 존재하는 경우 triple-layout 클래스가 추가 됨
 */
#right-wrap.triple-layout {
    top: 0;
    left: 224px;
}

#right-content-wrap {
    margin: 0 0 0 125px;
    height: 100%;
    background-color: #ffffff;
}

.right-content {
    padding: 0 10px 0 10px;
    height: 100%;
    overflow-y: auto;
    overflow-x: auto;
}

.contents-wrap {
    position: absolute;
    top: 16px;
    bottom: 40px;
    right: 0;
    left: 0;
    overflow: auto;
    background-color: #ffffff;
}

.contents-wrap.default-top-padding {
    top: 40px;
}

.complex-wrap {
    /* chromium 106.0.5249.61 에서 발생한 drag 시 paint 오류 수정을 위한 긴급 수정
    * https://bugs.chromium.org/p/chromium/issues/detail?id=1370030&q=drag&can=2 페이지 참조
    */
    transform: translate(0, 0);
}

.contents {
    position: inherit;
    min-width: 100%;
    padding: 0;
}

.contents > div.contents-pd {
    padding: 0 24px 6px 24px;
}

.current {
    zoom: 1;
    padding: 0 10px;
    border-bottom: 1px solid #cdcdcd;
    font-size: 12px;
    font-weight: bold;
    background-color: #e9e9e9;
}

.current:after {
    clear: both;
    height: 0;
    content: ".";
    display: block;
    visibility: hidden;
}

.current input[type=checkbox] {
    vertical-align: -2px;
}

.content-dir {
    font-weight: bold;
    font-size: 13px;
    padding: 5px 0;
}

#bottom-wrap {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-x: hidden;
    overflow-y: auto;
    background-color: #ffffff;
    margin-left: 0;
    border-top: 1px solid #cdcdcd;
    padding: 3px 0;
    height: 34px;
}

.page-btn {
    zoom: 1;
    padding: 6px 5px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

#bottom-wrap .page-btn {
    overflow: hidden;
    padding: 2px 5px;
}

.page-btn:after {
    clear: both;
    height: 0;
    content: ".";
    display: block;
    visibility: hidden;
}

.page-alert {
    margin-top: 3px;
    text-align: center;
    font-size: 11px;
    font-weight: bold;
    color: #fe4949;
}

.page-alert img {
    vertical-align: -4px;
}

#variant-list {
    margin: 20px 40px 0 0;
}

/*
CRF Page 에서 아래 css 사용
 */
#variant-list .complex-table-title span:first-child,
#property-list .complex-table-title span:first-child,
#event-list .complex-table-title span:first-child,
#language-list .complex-table-title span:first-child {
    font-size: 18px;
    font-weight: bold;
    color: #363636;
}

/* Media under 760px */
@media (max-width: 760px) {
    .top-user-info {
        right: 10px;
    }

    .top-user-info > span {
        margin-right: 6px;
    }
}

/* Media under 600px */
@media (max-width: 600px) {
    .top-system-title, .top-system-title-perceptive {
        top: 10px;
        left: 40px;
    }

    .top-user-info {
        right: 0;
        top: 40px;
        left: 40px;
    }
}

#system-info-dialog table > tbody > tr > th {
    font-size: 15px;
    font-weight: 500;
    color: #363636;
    padding: 8px;
}

#system-info-dialog table > tbody > tr > td {
    font-size: 13px;
    font-weight: 400;
    color: #363636;
    padding: 8px;
}

#system-info-dialog table > tbody > tr > td > a {
    text-decoration: underline;
}


#system-info-dialog div.copyright {
    text-align: center;
    font-weight: normal;
    font-size: 9px;
    margin: 24px 0 9px 0;
    color: #363636;
}

/* Start: study copy page */
.study-copy-title {
	margin:0 0 12px 0;
	color: #363636;
	font-size: 17px;
	font-weight: 700;
}
.study-copy-title .study-id {
	color: #6930B8;
}
.crf-group-wrap {
	display: -webkit-box;
	display: -moz-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	display: flex;
}

.crf-group-indigator {position:relative; flex: 0 0 80px; margin-right: 18px; }
.crf-group-indigator [class*='indigator-btn-'] {
	display: flex;
	-webkit-align-items: center;
	align-items: center;
	-webkit-justify-content: center;
	justify-content: center;
	width: 100%;
	height: 22px;
	border: 1px solid #B4B4B4;
	border-radius: 6px 6px 0 0;
	background: #FFF;
	cursor: pointer;
}
.crf-group-indigator [class*='indigator-btn-']::before {
	display: inline-block;
	content:'';
	border-style: solid;
	border-width: 0 6px 8px 6px;
	border-color: transparent transparent #B4B4B4 transparent;
}
.crf-group-indigator .indigator-btn-bottom {
	border-radius: 0 0 6px 6px;
}
.crf-group-indigator .indigator-btn-bottom::before {
	transform: rotate(180deg);
}

.crf-group-indigator .indigator-btn-top.start-line::before,
.crf-group-indigator .indigator-btn-bottom.end-line::before {
	border-color: transparent transparent #9B59F5 transparent;
}

.crf-group-indigator .indigator-list {
	overflow: hidden;
	overflow-y: auto;
	max-height: calc(100vh - 142px);
	-ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}
.crf-group-indigator .indigator-list::-webkit-scrollbar {
  display: none;
}
.crf-group-indigator .indigator-list li {
	position: relative;
}
.crf-group-indigator .indigator-list li a {
	display: block;
	display: flex;
	display: -webkit-flex;
	-webkit-align-items: center;
	align-items: center;
	height: 22px;
	padding: 0 0 0 26px;
	background:#FDFDFD url('../image/crf-study-checkbox-normal.svg') no-repeat 4px 2px;
	color: #7A7A7A;
	font-size: 12px;
	line-height: 1em;
}
.crf-group-indigator .indigator-list li a:hover,
.crf-group-indigator .indigator-list li a:focus {
	color: #6930B8;
	background-color: #F3EEF9;
}
.crf-group-indigator .indigator-list li.visible a {
    background-color: #f7f3f8;
}
.crf-group-indigator .indigator-list li.active a {
	background-image:url('../image/crf-study-checkbox-checked.svg');
}
.crf-group-indigator .indigator-list li.disabled a {
	background-image:url('../image/crf-study-checkbox-disabled.svg');
}
.crf-group-indigator .indigator-list li.visible:not(.active):not(.disabled) a {
	background-image:url('../image/crf-study-checkbox-visible.svg');
}
.crf-group-indigator .indigator-list li:not(:first-child) {
	margin-top:6px;
}
.crf-group-indigator .indigator-list li:not(:last-child)::after {
	display: block;
	content: '';
	position:absolute;
	left: 12px;
	bottom:-6px;
	width: 2px;
	height: 6px;
	background-color: #D8D8D8;
}

.crf-group-wrap .study-group-wrap {
    width: 100%;
}

.crf-group-wrap .study-group {
	overflow: hidden;
	overflow-y: auto;
	flex: 1;
	max-height: calc(100vh - 196px);
	scroll-behavior: smooth;
}

.crf-group-wrap .study-group .group:not(:first-child) {margin-top: 12px;}
.crf-group-wrap .study-group h2 {
	display: flex;
	display: -webkit-flex;
	margin: 0 0 12px 0;
	color: #363636;
	font-size: 14px;
	font-weight: 700;
}
.crf-group-wrap .study-group h2::after {
	flex: 1;
	content: '';
	height: 9px;
	margin: auto 0 0 12px;
	border-top: 1px solid #6930b8;
}
.crf-group-wrap .study-group .group-disabled h2::after {
	border-color: #767676;
}
.crf-group-wrap .study-group .group .no-card-msg {
	padding-block: 16px;
	color: #767676;
	font-size: 14px;
	font-weight: 700;
}
.study-card-wrap {
	display: flex;
	display: -webkit-flex;
	flex-wrap: wrap;
	gap: 14px;
}
.study-card-wrap .study-card {
	position: relative;
	flex: 0 0 auto;
	width: 284px;
}
.study-card-wrap .study-card label {
	display: block;
	min-height: 92px;
	padding: 12px;
	border: 1px solid #B4B4B4;
	border-radius: 12px;
	background: #FFF;
	box-sizing: border-box;
	background:url('../image/crf-study-checkbox-normal.svg') no-repeat 12px 12px;
	color: #363636;
	font-size: 14px;
}
.study-card-wrap .study-card label .study-id {
	display:block;
	margin-bottom: 6px;
	padding-inline: 26px 24px;
	font-weight: 500;
}
.study-card-wrap .study-card label .study-label {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    margin-bottom: 6px;
}
.study-card-wrap .study-card label .study-desc {
	display:block;
	overflow: hidden;
	white-space: nowrap;
	text-overflow:ellipsis;
	color: #767676;
}
.study-card-wrap .study-card input[type=radio] {opacity: 0; position: absolute;}
.study-card-wrap .study-card input[type=radio]:checked + label {
	border-color: #6930B8;
	background-color: #F3EEF9;
	background-image: url('../image/crf-study-checkbox-checked.svg');
}
.study-card-wrap .study-card input[type=radio]:disabled + label {
	color: #CACACA;
	border-color: #B4B4B4;
	background-color: #F9F9F9;
	background-image: url('../image/crf-study-checkbox-checked-disabled.svg');
}
.study-card-wrap .study-card input[type=radio]:disabled + label .study-desc {
	color: #CACACA;
}
.study-card-wrap .study-card .btn-study-preview {
	position: absolute;
	right: 10px;
	top: 10px;
	width: 24px;
	height: 24px;
	border: 0;
	padding: 0;
	background: url('../image/btn-study-preview.svg') no-repeat center center;
	cursor:pointer;
}

#study-copy-bottom {
	position: absolute;
	left: 120px;
	right: 0;
	bottom: 0;
	background-color: #ffffff;
	margin-left: 0;
	padding: 20px 35px 0 0;
	height: 90px;
	box-sizing: border-box;
}
#study-copy-bottom > .page-btn {
	padding:0;
}
#study-copy-bottom > .page-btn .button {
	color: #363636;
	font-size: 13px;
	font-weight: 400;
	padding: 6px 18px;
	margin-right: 10px;
}

#study-copy-bottom > .page-btn .button:hover {
	opacity: 0.8;
}

#study-copy-bottom-no-data {
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ffffff;
	margin-left: 0;
	padding: 20px 60px 0 0;
	height: 90px;
	box-sizing: border-box;
}

#study-copy-bottom-no-data > .page-btn {
	padding:0;
    position: relative;
    left: 40px;
}

.toast-popup {
	visibility: hidden;
	position: fixed;
	left: 50%;
	bottom: -30px;
	transform: translateX(-50%);
	padding: 4px 24px;
	border-radius: 30px;
	background: rgba(0, 0, 0, 0.80);
	color: #FFF;
	font-size: 16px;
	font-weight: 500;
	line-height: normal;
	opacity: 0;
	transition: all .2s ease;
}
.toast-popup.open {
	visibility: visible;
	opacity: 1;
	bottom: 98px;
}

.btn-chatbot-wrap {display: inline-block; margin: 0; vertical-align: middle;}
.chat-btn {display:inline-block; padding:0; border:0; vertical-align: top; cursor: pointer; outline: 0; background-color:transparent}
.chat-btn.btn-chatbot {width:24px; height:24px; border:0; background:url('../image/chatbot_icon.gif') no-repeat 0 0; background-size: 100%;}

/* End: study copy page */
